Bug 238835 - Fatal error when formatting deactivated logical volume
Fatal error when formatting deactivated logical volume
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: James Antill
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-03 05:56 EDT by Didier
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 11.2.0.66
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-04 04:49:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
syslog (28.27 KB, text/plain)
2007-05-15 08:28 EDT, Didier
no flags Details
anaconda.log (17.48 KB, text/plain)
2007-05-15 08:29 EDT, Didier
no flags Details
syslog (second run) (27.86 KB, application/octet-stream)
2007-05-15 08:53 EDT, Didier
no flags Details
anaconda.log (second run) (18.02 KB, text/plain)
2007-05-15 08:53 EDT, Didier
no flags Details
lvmout (second run) (482 bytes, text/plain)
2007-05-15 08:54 EDT, Didier
no flags Details

  None (edit)
Description Didier 2007-05-03 05:56:18 EDT
Description of problem:
During installation of FC7 on fresh HDD, anaconda tries to format deactivated
logical volumes, and bails out.

Version-Release number of selected component (if applicable):
FC7t4 6.93

How reproducible:
Not tested (see below)

Steps to Reproduce:
1. Start FC7 install
2. Use Disk Druid to define LVM partition and logical volumes
3. Continue installation and watch anaconda crash when trying to format the
defined logical volumes.
  
Actual results:
Anaconda crash, failed install, bad user experience ; user defects to the Dark Side.

Expected results:
Anaconda should correctly format the LV's and proceed with the install.

Additional info:
1. Error messages :
* GUI :
"An error occured trying to format VolGroup00/LogVol00_root. This problem is
serious, and the install cannot continue. Press <Enter> to reboot your system.
* console log :
"mke2fs 1.39 ... Could not stat /dev/VolGroup00/LogVol00_root --- No such file
or directory   The device appearantly does not exist; did you specify it
correctly ?"

2. Observations :
Anaconda has created the LVM partition, the VG, and the LV's.

3. Temporary fix (not for the end user, of course) :
 a. switch to console
 b. # lvm.static vgchange -a y
 c. # mke2fs -i 4096 -j /dev/Volgrp... (manually format LV's)
 d. reboot and restart installation with formatted LV's.


Maybe it is not to be expected that a first-time Fedora user would use LVM ;
nevertheless, I consider this error critical due to its extremely high impact
this early in the installation process.
Comment 1 Didier 2007-05-03 06:18:18 EDT
After step 3d. as defined above, Anaconda again bails out just before actually
beginning package installation :
"Error mounting device VolGroup00/LogVol00_root as /: No such file or directory   
This most likely means this partition has not been formatted.
Press OK to reboot your system."

Switching again to console, "# lvm.static lvscan" reveals all LV's to be
inactive. Argh !


Anaconda/LVM looks like an FC7 showstopper to me.

(rhetorical question : How long exactly has LVM been part of anaconda / Disk
Druid ?)

Comment 2 Jeremy Katz 2007-05-03 12:01:06 EDT
Can you attach /tmp/anaconda.log and /tmp/syslog from when it fails?
Comment 3 Didier 2007-05-03 14:10:59 EDT
Jeremy, while attempting to install FC7t4, I was unable to scp /tmp/anaconda.log
and /tmp/syslog (no network). However, I manually quoted the relevant (only
tailed, unfortunately) info from those files in my original bug report.

Meanwhile, FC7t4 has been installed, by switching to console and executing "#
lvm.static vgchange -a y" after package dependencies are resolved and just
before actual package installation (which obviously succeeds LV formatting
and/or mounting).


If needed, I could start a reinstall in a fresh (unformatted and unmounted, to
expose the flaw) root LV partition.

Comment 4 Didier 2007-05-04 05:37:50 EDT
When starting a second FC7t4 install in a newly assigned (unformatted) root LV
on the same disk (that is : with existing / , /home and /var LV's), a new issue
does occur :
the new root LV seems to get formatted (which did not happen with a fresh disk),
but "mini-wm" crashes, and the install exists abnormally. No logs, as all
filesystems got unmounted as part of the shutdown process immediately after the
crash.

Comment 5 Didier 2007-05-15 08:28:13 EDT
Comment #2 :
Retested on a brand new Dell Latitude D820 (with 2 NTFS partitions present), the
same issue reproducibly occurs :

GUI :
"An error occured trying to format VolGroup00/LogVol00_root. This problem is
serious, and the install cannot continue. Press <Enter> to reboot your system."
Console :"mke2fs 1.39 (29-May-2006) Could not stat /dev/VolGroup00/LogVol00_root
--- No such file or directory   The device apparantly does not exist; did you
specify it correctly ?"

In attachment both /tmp/syslog and /tmp/anaconda.log
Comment 6 Didier 2007-05-15 08:28:55 EDT
Created attachment 154723 [details]
syslog
Comment 7 Didier 2007-05-15 08:29:26 EDT
Created attachment 154724 [details]
anaconda.log
Comment 8 Didier 2007-05-15 08:51:09 EDT
Second run with the Dell D820 :

1. The LVM partitions have been created in the first run (see above, comment #5)
; in Disk Druid, they are now simply assigned / , /var and /home (and
ext3-formatted, to remove the "foreign" assignation left from the first run).

2. After package selection, FC7t4 starts formatting / (VolGrp00_LogVol00_root),
but crashes when trying to mount the LVM volume :
GUI : "Error mounting device VolGroup00/LogVol00_root as /: No such file or
directory   This most likely means this partition has not been formatted.
Press OK to reboot your system." (identical to comment #1)

In attachment, /tmp/syslog , /tmp/anaconda.log and /tmp/lvmout .

Comment 9 Didier 2007-05-15 08:53:09 EDT
Created attachment 154728 [details]
syslog (second run)
Comment 10 Didier 2007-05-15 08:53:34 EDT
Created attachment 154729 [details]
anaconda.log (second run)
Comment 11 Didier 2007-05-15 08:54:00 EDT
Created attachment 154730 [details]
lvmout (second run)
Comment 12 Didier 2007-06-04 04:49:36 EDT
Appears fixed in Fedora 7 GA.

Note You need to log in before you can comment on or make changes to this bug.